summaryrefslogtreecommitdiffstats
path: root/libraries/libtommath
diff options
context:
space:
mode:
author B. Watson2017-01-31 23:59:46 +0100
committer Willy Sudiarto Raharjo2017-02-02 22:33:17 +0100
commit151de63c332012ef11c2ce95653599c4801dd591 (patch)
treec18fb2c417a6bf263e74e0ac00579becd57b4ae2 /libraries/libtommath
parent5b6e0456da4f280563605dec82a1f89c62f77b47 (diff)
downloadslackbuilds-151de63c332012ef11c2ce95653599c4801dd591.tar.gz
libraries/libtommath: Added (LibTomMath library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/libtommath')
-rw-r--r--libraries/libtommath/README7
-rw-r--r--libraries/libtommath/libtommath.SlackBuild70
-rw-r--r--libraries/libtommath/libtommath.info10
-rw-r--r--libraries/libtommath/slack-desc19
4 files changed, 106 insertions, 0 deletions
diff --git a/libraries/libtommath/README b/libraries/libtommath/README
new file mode 100644
index 0000000000..876b46346c
--- /dev/null
+++ b/libraries/libtommath/README
@@ -0,0 +1,7 @@
+libtommath (LibTomMath library)
+
+LibTomMath is a free open source portable number theoretic
+multiple-precision integer library written entirely in C.
+
+This build was renamed from 'ltm' to 'libtommath'. If you still have
+ltm installed, remove it before installing libtommath.
diff --git a/libraries/libtommath/libtommath.SlackBuild b/libraries/libtommath/libtommath.SlackBuild
new file mode 100644
index 0000000000..bc1f1c83dd
--- /dev/null
+++ b/libraries/libtommath/libtommath.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for libtommath
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=libtommath
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# No SLKCFLAGS, use upstream's flags
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+SRCNAM=ltm
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make -f makefile.shared LIBPATH=/usr/lib$LIBDIRSUFFIX
+make -f makefile.shared install \
+ LIBPATH=/usr/lib$LIBDIRSUFFIX \
+ INSTALL_GROUP=root \
+ DESTDIR=$PKG
+
+chmod 0644 $PKG/usr/include/*
+rm $PKG/usr/lib$LIBDIRSUFFIX/*.a
+strip $PKG/usr/lib$LIBDIRSUFFIX/*.so.*.*.*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# permissions are wrong if we use cp -a here:
+install -m0644 -oroot -groot *.pdf *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libtommath/libtommath.info b/libraries/libtommath/libtommath.info
new file mode 100644
index 0000000000..c9296f31c5
--- /dev/null
+++ b/libraries/libtommath/libtommath.info
@@ -0,0 +1,10 @@
+PRGNAM="libtommath"
+VERSION="1.0"
+HOMEPAGE="http://libtom.net/"
+DOWNLOAD="https://github.com/libtom/libtommath/releases/download/v1.0/ltm-1.0.tar.xz"
+MD5SUM="a95dc984d8409a6f355efb0831009a66"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/libraries/libtommath/slack-desc b/libraries/libtommath/slack-desc
new file mode 100644
index 0000000000..797454ef38
--- /dev/null
+++ b/libraries/libtommath/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libtommath: libtommath (LibTomMath library)
+libtommath:
+libtommath: LibTomMath is a free open source portable number theoretic
+libtommath: multiple-precision integer library written entirely in C.
+libtommath:
+libtommath:
+libtommath:
+libtommath:
+libtommath:
+libtommath:
+libtommath: